Subject: Re: [patch net-next v3 04/17] net: introduce generic switch devices support

From: Jamal Hadi Salim <[email-masked]>
Date: Wed, 26 Nov 2014 06:36:51 -0500

On 11/25/14 23:18, Scott Feldman wrote:
> On Tue, Nov 25, 2014 at 5:33 PM, Jamal Hadi Salim <[email-masked]> wrote:

>
> You have a pointer to the kernel driver for that HW?

I wasnt sure if that was a passive aggressive move there to
question what i am claiming?(Only Canadians are allowed to be
passive aggressive Scott). To answer your question, no
code currently littered with vendor SDK unfortunately (as you
would know!).
But hopefully if we get these changes in correctly it would
not be hard to show the driver working fully in the kernel.
There are definetely a few other pieces of hardware that are
making me come back here and invest time and effort in these
long discussions.

> Can you show how
> you're using Linux tc netlink msg in kernel to program HW?  I'd like
> to see the in-kernel API.
>

Lets do the L2/port thing first. But yes, I am using Linux tc in
kernel.

cheers,
jamal